import Mod11
import Mod22

if __name__ == "__main__":
    file1_name = input("Введите имя первого файла: ")
    file2_name = input("Введите имя второго файла: ")

    list1 = Mod11.read_number_list(file1_name)
    list2 = Mod11.read_number_list(file2_name)

    if list1 is not None and list2 is not None:
        correlation = Mod22.calculate_correlation(list1, list2)
        if correlation is not None:
            print(f"Коэффициент корреляции: {correlation:.3f}")
